Bug 130168 - Minor cleanups to math/plplot
Summary: Minor cleanups to math/plplot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-04 18:30 UTC by Pedro F. Giffuni
Modified: 2009-01-12 03:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.45 KB, patch)
2009-01-04 18:30 UTC, Pedro F. Giffuni
no flags Details | Diff
patch-plplot (4.37 KB, application/octet-stream)
2009-01-07 01:26 UTC, Pedro F. Giffuni
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2009-01-04 18:30:01 UTC
Cleanups, no functional change:

- Remove build dependency on GNU m4.
- Sort knobs.
- Remove unneeded use of REINPLACE.
Comment 1 Dmitry Marakasov freebsd_committer 2009-01-04 23:04:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-01-05 04:50:07 UTC
State Changed
From-To: open->feedback

Looks good, but has wrong plist when built WITH_GNOME 
(http://people.freebsd.org/~amdmi3/plplot-gnome-5.8.0.log) and doesn't 
build WITH_PYTHON 
(http://people.freebsd.org/~amdmi3/plplot-python-5.8.0.log). Can those 
be fixed along with the update?
Comment 3 Dmitry Marakasov freebsd_committer 2009-01-05 14:55:58 UTC
State Changed
From-To: feedback->suspended

Mark suspended by submitters request (still some issues to fix)
Comment 4 Pedro F. Giffuni 2009-01-07 01:26:24 UTC
(Hmm.. I thought I had sent this yesterday)

This fixes the packaging issues so we can unfreeze the PR.


      
Comment 5 Dmitry Marakasov freebsd_committer 2009-01-12 02:57:02 UTC
State Changed
From-To: suspended->open

Fix received, problems resolved
Comment 6 Dmitry Marakasov freebsd_committer 2009-01-12 03:27:24 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 7 dfilter service freebsd_committer 2009-01-12 03:27:36 UTC
amdmi3      2009-01-12 03:27:03 UTC

  FreeBSD ports repository

  Modified files:
    math/plplot          Makefile pkg-plist 
  Log:
  - Cleanups, no functional change:
    - Remove build dependency on GNU m4.
    - Sort knobs.
    - Remove unneeded use of REINPLACE.
    - Fix plist for WITH_GNOME case and mark BROKEN for WITH_PYTHON
  
  PR:             130168
  Submitted by:   "Pedro F. Giffuni" <giffunip at tutopia dot com> (maintainer)
  
  Revision  Changes    Path
  1.55      +28 -30    ports/math/plplot/Makefile
  1.21      +5 -0      ports/math/plplot/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"